@thueske opened this Issue on January 12th 2017

Hey,

installing Piwik 3.0.0 works fine (no errors in system check), but when I try to install version 3.0.1 I get an Error 500 at system check page. Php-Error Log is empty and Apache Log only displays "premature end of script headers".

I am using PHP 7.0.x with FPM and apache 2.

Any ideas?

@thueske commented on January 13th 2017

Error occurs when https://github.com/piwik/piwik/blob/3.x-dev/core/FileIntegrity.php#L415-#L424 is executed. CGI PHP works, FPM not. @mattab - you integrated the check, any ideas? (globr exists)

@mattab commented on January 14th 2017 Owner

Sorry @thueske - no idea so far. These lines shouldn't trigger an error. can you paste the full error message?

@ins0 commented on January 16th 2017

Looks like use Piwik\Filesystem is missing?!

@sgiehl commented on January 16th 2017 Member

@ins0 That shouldn't be needed as the class is within the same directory & namespace

@thueske commented on March 18th 2017

Problem still exists... Happens when setlocale(LC_ALL, $newLocale) is something like de_DE.UTF-8... Then the glob() @ Filecheck fails... Setting locale to de-DE or en_US.UTF-8 works... Any ideas for a workaround, @mattab or @sgiehl? It is a problem to set the value to de-DE (without UTF-8) or to en_US.UTF-8? Piwik interface language still remains German in my case...

@wdj-ac commented on April 21st 2017

@mattab I can confirm!
/index.php?module=Installation&action=systemCheckPage
Fails with Internal Server Error 500. When I switch from PHP-FPM to PHP-CGI everything is fine.

@simonschaufi commented on December 6th 2017 Contributor

Can this be documented somewhere? I just found this issue as I'm also using PHP FPM and realized, Piwik isn't working properly. PHP-CGI works fine.

This Issue was closed on February 20th 2017
Powered by GitHub Issue Mirror